std::__detector< _Default, _AlwaysVoid, _Op, _Args >(3)

NAME
std::__detector< _Default, _AlwaysVoid, _Op, _Args > - Implementation of the detection idiom (negative case).

SYNOPSIS

  Public Types
using type = _Default
using value_t = false_type

Detailed Description

  template<typename _Default, typename _AlwaysVoid, template< typename... > class _Op, typename... _Args>
struct std::__detector< _Default, _AlwaysVoid, _Op, _Args >" Implementation of the detection idiom (negative case).

Definition at line 2582 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.